Notification
- Endpoint:
POST /v1.0/debit/notify - Tags: Indonesia SNAP/Collection
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
X-TIMESTAMP | header | string | Yes | Transaction date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
X-SIGNATURE | header | string | Yes | Signature need to be verified | |
X-PARTNER-ID | header | string | Yes | Unique identifier for partner was generated by payermax, or known as clientId | |
X-EXTERNAL-ID | header | string | Yes | Unique messaging reference identifier and should be unique within the same day | |
Content-Type | header | string | Yes |
Parameter Examples
X-TIMESTAMP:""X-SIGNATURE:""X-PARTNER-ID:""X-EXTERNAL-ID:""Content-Type:"application/json"
Request Body
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
merchantId | string | Yes | maxLength: 32 | Merchant identifier that is unique per each merchant | |
originalPartnerReferenceNo | string | Yes | maxLength: 64 | Original transaction identifier on partner system | |
originalReferenceNo | string | Yes | maxLength: 64 | Original transaction identifier on Payermax system | |
amount | object | No | Net amount of the transaction additionalInfo.notifyType=PAYMENT: transaction amount additionalInfo.notifyType=REFUND: refund amount | ||
amount.value | string | Yes | Transaction amount | ||
amount.currency | string | Yes | maxLength: 3 | Transaction currency | |
latestTransactionStatus | string | Yes | maxLength: 2 | additionalInfo.notifyType=PAYMENT: 00 = Success, the order has been paid 05 = Cancelled, the order has been closed because it is expired 06 = Failed, the order has been failed additionalInfo.notifyType=REFUND: 00 = Success, the order has been refunded 06 = Failed, the order has been failed | |
transactionStatusDesc | string | No | maxLength: 64 | Description of transaction status | |
createdTime | string | Yes | maxLength: 25 | Transaction created time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
finishedTime | string | Yes | maxLength: 25 | Transaction finished time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
additionalInfo | object | Yes | Additional information | ||
additionalInfo.notifyType | string | Yes | maxLength: 16 | Notification Type. values: PAYMENT/REFUND |
Example
json
{
"merchantId": "{{merchantId}}",
"originalPartnerReferenceNo": "ORDER202611160001",
"originalReferenceNo": "T2026111600000001",
"amount": {
"value": "100000.00",
"currency": "IDR"
},
"latestTransactionStatus": "00",
"transactionStatusDesc": "Success",
"createdTime": "2026-11-16T05:59:00.000Z",
"finishedTime": "2026-11-16T06:00:00.000Z",
"additionalInfo": {
"notifyType": "PAYMENT"
}
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
responseCode | string | Yes | Response code returned by the merchant to acknowledge whether the notification was successfully processed. | ||
responseMessage | string | Yes | Description of the merchant’s notification processing result. |
Response Example
json
{
"responseCode": "2005600",
"responseMessage": "Success"
}